INTERFACE
SUBROUTINE CAHUAX(KPROMA,KNBPT,KTASK,PTT,PQT,PSFL,PSFLN,POLDT,&
 & PGELAT,PGELAM,PCAGUE,PESIG,PSGHUM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(IN) :: PTT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSFL(KNBPT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSFLN(KNBPT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POLDT(KNBPT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGHUM(NFLEVG,KNBPT)
END SUBROUTINE CAHUAX
END INTERFACE
